pos.to.env {base} | R Documentation

## Convert Positions in the Search Path to Environments

### Description

Returns the environment at a specified position in the search path.

### Usage

    pos.to.env(x)

### Arguments

`x` | an integer between `1` and `length(search())`, the length of the search path, or `-1`.

### Details

Several R functions for manipulating objects in environments (such as `get` and `ls`) allow specifying environments via corresponding positions in the search path. `pos.to.env` is a convenience function for programmers which converts these positions to corresponding environments; users will typically have no need for it. It is primitive.

`-1` is interpreted as the environment the function is called from.

This is a primitive function.

### Examples

    pos.to.env(1) # R_GlobalEnv
    # the next returns the base environment
    pos.to.env(length(search()))

[Package base version 3.6.0 Index]